{
  config,
  pkgs,
  ...
}: {
  programs.waybar = {
    enable = true;
    systemd = {
      enable = true;
      target = "hyprland-session.target";
    };
  };

  services.hyprpolkitagent.enable = true;

  services.hyprsunset.enable = true;

  services.hyprpaper = {
    enable = true;
    settings = {
      preload = ["/home/chase/nix-config/home/wallpaper.jpg"];
      wallpaper = ["/home/chase/nix-config/home/wallpaper.jpg"];
    };
  };

  wayland.windowManager.hyprland = {
    enable = true;
    package = null;
    portalPackage = null;
    systemd.enable = true;
  };
}
